> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/fixed_price_promotions/retrieve.md).

# Retrieve a fixed price promotion

To [fetch](https://docs.commercelayer.io/core/fetching-resources) a single fixed price promotion, send a `GET` request to the `/api/fixed_price_promotions/:id` endpoint, where `id` is the ID of the resource that you want to retrieve.

## Request

**GET** <https://yourdomain.commercelayer.io/api/fixed\\_price\\_promotions/:id>

### **Example**

{% tabs %}
{% tab title="Request" %}
The following request fetches the fixed price promotion identified by the ID "XAyRWNUzyN":

```shell
curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning a single resource object:

```json
{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "fixed_price_promotions",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN"
    },
    "attributes": {
      "name": "Personal promotion",
      "type": "percentage_discount_promotions",
      "currency_code": "EUR",
      "exclusive": true,
      "priority": 2,
      "starts_at": "2018-01-01T12:00:00.000Z",
      "expires_at": "2018-01-02T12:00:00.000Z",
      "total_usage_limit": 5,
      "total_usage_count": 2,
      "total_usage_reached": false,
      "active": true,
      "status": "pending",
      "weight": 112,
      "coupons_count": 2,
      "disabled_at": "2018-01-01T12:00:00.000Z",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      },
      "fixed_amount_cents": 1000,
      "fixed_amount_float": 10.0,
      "formatted_fixed_amount": "€10,00"
    },
    "relationships": {
      "market": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/market",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/market"
        }
      },
      "promotion_rules": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/promotion_rules",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/promotion_rules"
        }
      },
      "order_amount_promotion_rule": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/order_amount_promotion_rule",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/order_amount_promotion_rule"
        }
      },
      "sku_list_promotion_rule": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/sku_list_promotion_rule",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/sku_list_promotion_rule"
        }
      },
      "coupon_codes_promotion_rule": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/coupon_codes_promotion_rule",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/coupon_codes_promotion_rule"
        }
      },
      "custom_promotion_rule": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/custom_promotion_rule",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/custom_promotion_rule"
        }
      },
      "sku_list": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/sku_list",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/sku_list"
        }
      },
      "coupons": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/coupons",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/coupons"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/attachments"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/events"
        }
      },
      "tags": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/tags",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/tags"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/event_stores"
        }
      },
      "skus": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/relationships/skus",
          "related": "https://yourdomain.commercelayer.io/api/fixed_price_promotions/XAyRWNUzyN/skus"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/fixed_price_promotions/retrieve.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
